Summary:	Fast paced, arcade-style, top-scrolling space shooter
Name:		chromium
Version:	0.9.15
Release:	%mkrel 2
License:	Artistic
Group:		Games/Arcade
Source0:	http://downloads.sourceforge.net/%{name}-bsu/%{name}-bsu-%{version}.tar.xz
Source1:	chromium-bsu.desktop
Patch0:		chromium-0.9.13.3-fix-str-fmt.patch
URL:		http://sourceforge.net/projects/%{name}-bsu
BuildRequires:	SDL-devel
BuildRequires:	X11-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	mesaglu-devel
BuildRequires:	libogg-devel
BuildRequires:	libsmpeg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	texinfo
BuildRequires:	png-devel
BuildRequires:	zlib-devel
BuildRequires:	openal-devel
BuildRequires:	freealut-devel
BuildRequires:	libglpng-devel
BuildRequires:	ftgl-devel
BuildRequires:	quesoglc-devel
BuildRequires:	imagemagick
Requires:	%{_lib}glpng1
Requires:	%{_lib}ftgl2
Requires: 	%{_lib}openal1
Requires: 	openal
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel. This is an OpenGL-based shoot 'em up game with fine graphics.

Note: If you are using Nvidia or fglrx driver you may need to move or rename
the following in the /usr/lib folder

libGL.so
libGL.so.1
libGL.so.1.2


%prep
%setup -q -n %{name}-bsu-%{version}
%patch0 -p0

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -fr %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64}/apps
install -m0644 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}-bsu.png
convert -scale 48x48 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}-bsu.png
convert -scale 32x32 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}-bsu.png
convert -scale 16x16 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}-bsu.png

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/%{name}-bsu.desktop

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc AUTHORS README COPYING NEWS
%{_gamesbindir}/chromium-bsu
%{_gamesdatadir}/*
%{_datadir}/pixmaps/%{name}-bsu.png
%{_datadir}/applications/%{name}-bsu.desktop
%{_docdir}/%{name}-bsu/*
%{_iconsdir}/hicolor/*/apps/%{name}-bsu.png
%{_mandir}/man6/*.6*
%{_datadir}/locale/*/LC_MESSAGES/chromium-bsu.mo

%changelog
* Mon Mar 28 2011 Texstar <texstar at gmail.com> 0.9.15-2pclos2011
- add requires for new glibc

* Tue Feb 15 2011 Slax <root@linuxgator.org> 0.9.15-1pclos2010
- 0.9.15

* Fri Jul 23 2010 Texstar <texstar at gmail.com> 0.9.14.1-1pclos2010
- 0.9.14.1
- patch 1 merged upstream

* Thu May 20 2010 Texstar <texstar at gmail.com> 0.9.14-3pclos2010
- fix icon and desktop

* Wed May 19 2010 Texstar <texstar at gmail.com> 0.9.14-2pclos2010
- rebuild against openal

* Sat May 08 2010 Texstar <texstar at gmail.com> 0.9.14-1pclos2010
- 0.9.14

* Sun Sep 06 2009 Texstar <texstar@gmail.com> 0.9.13.3-1pclos2009
- update

